import { Injectable } from '@angular/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { ConfirmDialogComponent } from './confirm-dialog/confirm-dialog.component';
import { ConfirmDialogData } from './confirm-dialog/_models/confirm-dialog-data.model';
import { DialogResult } from '../../models/dialog/dialog-result.model';
import { IConfirmDialogService } from './_interfaces/confirm-dialog-service.interface';

@Injectable({
  providedIn: 'root'
})
export class ConfirmDialogService implements IConfirmDialogService {
  constructor(public dialog: NgbModal) { }

  public async openConfirmDialog(
    title: string,
    message: string
  ): Promise<DialogResult<null>> {
    const confirmDialogData = new ConfirmDialogData(title, message);
    const dialogRef = this.dialog.open(ConfirmDialogComponent, { backdrop: 'static', keyboard: false });
    dialogRef.componentInstance.dialogData = confirmDialogData;
    const result: DialogResult<null> = await dialogRef.result;
    return result;
  }

}