import { Component, OnInit, Inject, Input } from '@angular/core';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import { ConfirmDialogData } from './_models/confirm-dialog-data.model';
import { DialogResult } from '../../../models/dialog/dialog-result.model';
import { DialogButton } from '../../../enums/dialog-button.enum';
/**
 * A dialog component to prompt the user for a YES/NO answer
 */
@Component({
  selector: 'lm-confirm-dialog',
  templateUrl: './confirm-dialog.component.html',
  styleUrls: ['./confirm-dialog.component.scss']
})
export class ConfirmDialogComponent implements OnInit {
  @Input() public dialogData: ConfirmDialogData
  constructor(
    public activeModal: NgbActiveModal
  ) {
  }

  ngOnInit() {
  }

  public onCancel() {
    const dialogResult = new DialogResult(DialogButton.Cancel);
    this.activeModal.close(dialogResult);
  }

  public submit(): void {
    const dialogResult = new DialogResult(DialogButton.OK);
    this.activeModal.close(dialogResult);
  }
}
