import { Component, OnInit, Inject, Input } from '@angular/core';
import { ErrorDialogData } from './_models/error-dialog-data.model';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

/**
 * A dialog component to display an error message
 */
@Component({
  selector: 'lm-error-dialog',
  templateUrl: './error-dialog.component.html',
  styleUrls: ['./error-dialog.component.scss']
})
export class ErrorDialogComponent {
  /** The title of the error dialog */
  public title: string;

  /** The dialog error message */
  public message: string;

  @Input() public data: ErrorDialogData
  /**
   * @param activeModal - A reference to the dialog
   */
  constructor(
    public activeModal: NgbActiveModal,
  ) {
    this.title = this.data.title;
    this.message = this.data.message;
  }

  /**
   * Method called when the dialog is cancelled
   */
  onClose() {
    this.activeModal.close();
  }
}
